[inherit('cldsup','sys$library:pascal$lib_routines','common','pSolr')]
program hhint(input,output);

var
   query : pstr;
   solr : solr_ctxptr;
   res : solr_query_res;
   i : integer;
   lib, cmd : pstr;
   hhintcld : [external] integer;

begin
   cld_init('hh', hhintcld);
   lib := cld_get_library;
   solr := psolr_setup(cld_get_host, cld_get_port, lib);
   query := cld_get_query;
   res := psolr_query_df_rows(solr, query, 'helptext', 20);
   if lib = 'vmshelp' then begin
      cmd := 'help ';
   end else begin
      cmd := 'help /library=' + lib + ' ';
   end;
   for i := 1 to psolr_hits(res) do begin
      writeln(cmd, psolr_get_field(res, i-1, 'path'));
   end;
end.

